Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.template.style.fontProperties.model
Interface VTFontPropertiesStyleProperty

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, VTStyleProperty

All Known Implementing Classes:
  VTFontPropertiesStylePropertyImpl

    public interface VTFontPropertiesStyleProperty

extends VTStyleProperty

A representation of the model object 'Style Property'.

The following features are supported:

- `Italic`
- `Bold`
- `Color HEX`
- `Height`
- `Font Name`

See Also:
  `VTFontPropertiesPackage.getFontPropertiesStyleProperty()`

Method Summary
`String` | `getColorHEX()` Returns the value of the 'Color HEX' attribute.
`String` | `getFontName()` Returns the value of the 'Font Name' attribute.
`int` | `getHeight()` Returns the value of the 'Height' attribute.
`boolean` | `isBold()` Returns the value of the 'Bold' attribute.
`boolean` | `isItalic()` Returns the value of the 'Italic' attribute.
`void` | `setBold(boolean value)` Sets the value of the ' `Bold`' attribute.
`void` | `setColorHEX(String value)` Sets the value of the ' `Color HEX`' attribute.
`void` | `setFontName(String value)` Sets the value of the ' `Font Name`' attribute.
`void` | `setHeight(int value)` Sets the value of the ' `Height`' attribute.
`void` | `setItalic(boolean value)` Sets the value of the ' `Italic`' attribute.

Methods inherited from interface org.eclipse.emf.ecp.view.template.model.VTStyleProperty
`equalStyles`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### isItalic

    boolean isItalic()

  Returns the value of the 'Italic' attribute.

  If the meaning of the 'Italic' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Italic' attribute.
  See Also:
    `setItalic(boolean)`, `VTFontPropertiesPackage.getFontPropertiesStyleProperty_Italic()`

### setItalic

    void setItalic(boolean value)

  Sets the value of the ' `Italic`' attribute.

  Parameters:
    `value` - the new value of the 'Italic' attribute.
  See Also:
    `isItalic()`

### isBold

    boolean isBold()

  Returns the value of the 'Bold' attribute.

  If the meaning of the 'Bold' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Bold' attribute.
  See Also:
    `setBold(boolean)`, `VTFontPropertiesPackage.getFontPropertiesStyleProperty_Bold()`

### setBold

    void setBold(boolean value)

  Sets the value of the ' `Bold`' attribute.

  Parameters:
    `value` - the new value of the 'Bold' attribute.
  See Also:
    `isBold()`

### getColorHEX

    String getColorHEX()

  Returns the value of the 'Color HEX' attribute.

  If the meaning of the 'Color HEX' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Color HEX' attribute.
  See Also:
    `setColorHEX(String)`, `VTFontPropertiesPackage.getFontPropertiesStyleProperty_ColorHEX()`

### setColorHEX

    void setColorHEX(String value)

  Sets the value of the ' `Color HEX`' attribute.

  Parameters:
    `value` - the new value of the 'Color HEX' attribute.
  See Also:
    `getColorHEX()`

### getHeight

    int getHeight()

  Returns the value of the 'Height' attribute.

  If the meaning of the 'Height' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Height' attribute.
  See Also:
    `setHeight(int)`, `VTFontPropertiesPackage.getFontPropertiesStyleProperty_Height()`

### setHeight

    void setHeight(int value)

  Sets the value of the ' `Height`' attribute.

  Parameters:
    `value` - the new value of the 'Height' attribute.
  See Also:
    `getHeight()`

### getFontName

    String getFontName()

  Returns the value of the 'Font Name' attribute.

  If the meaning of the 'Font Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Font Name' attribute.
  See Also:
    `setFontName(String)`, `VTFontPropertiesPackage.getFontPropertiesStyleProperty_FontName()`

### setFontName

    void setFontName(String value)

  Sets the value of the ' `Font Name`' attribute.

  Parameters:
    `value` - the new value of the 'Font Name' attribute.
  See Also:
    `getFontName()`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.